Requesting OAuth Tokens

Exchange an expired refresh tokens, for a new one.
Access token expires after a hour, so if you want to perform any operation you need to exchange the expired token by a new one, during a year (refresh token duration).

More https://developer.olxgroup.com/docs/authorization-flow

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

"grant_type": "authorization_code"

This request is related to RE user context, so you, as a partner, will get authorization (or not) to manage the inventory of a RE user account. Authorization process should be done once.

basic_auth and api_key are that data you have received from the Support Team or directly from the Developer Center.

code is a temporary password during the user authorization that you need to use to exchange it per token (you have 1 minutes to do it). Please take a look at our documentation for more details.

As a response, you will receive an access_token and a refresh_token to manage user inventory, message, and business information.



"grant_type": "refresh_token"

A refresh_token is a unique token to obtain a new access_token without authorizing the user again.
The refresh_token is valid for one year, and the access_token is valid for one hour.

The response depends on the state of access_token:

  • access_token is expired; you will receive a new access_token in the response,
  • access_token is not expired yet; you will receive a new access_token in the response,
  • access_token is invalid, you will receive an error message, and the user needs to authorize again to get a new token.

Store access_token and refresh_token and keep them in a safe place.

Body Params
string
enum
required
Defaults to authorization_code
Allowed:
string
required
Defaults to {{code}}
Headers
string
Defaults to {{Authorization}}
string
Defaults to {{X-API-KEY}}
Responses

Language
URL
LoadingLoading…
Response
Choose an example:
application/json